Difference between revisions of "Qt-5-on-Nokia-N9"

From Qt Wiki
Jump to: navigation, search
(Nominated for deletion)
m (Add to category to save overt link from category page)
 
Line 1: Line 1:
 
{{Delete|reason=Referenced content (snowshoe.cc) no longer available.}}
 
{{Delete|reason=Referenced content (snowshoe.cc) no longer available.}}
 
{{Cleanup | reason=Auto-imported from ExpressionEngine.}}
 
{{Cleanup | reason=Auto-imported from ExpressionEngine.}}
 
+
[[Category:Developing with Qt::Qt 5]]
 
= Qt 5 on the Nokia N9 =
 
= Qt 5 on the Nokia N9 =
 
While there is no official support for Qt5 on Nokia N9 and N950 devices, community-provided snapshots are available through the QtWebkit project. These snapshots are based on weekly hashes used by QtWebkit build bots.
 
While there is no official support for Qt5 on Nokia N9 and N950 devices, community-provided snapshots are available through the QtWebkit project. These snapshots are based on weekly hashes used by QtWebkit build bots.

Latest revision as of 12:25, 22 November 2016

This article is nominated for deletion. Reason: Referenced content (snowshoe.cc) no longer available.
Please raise your support/opposition to this nomination in the article's discussion page.
This article may require cleanup to meet the Qt Wiki's quality standards. Reason: Auto-imported from ExpressionEngine.
Please improve this article if you can. Remove the {{cleanup}} tag and add this page to Updated pages list after it's clean.

Qt 5 on the Nokia N9

While there is no official support for Qt5 on Nokia N9 and N950 devices, community-provided snapshots are available through the QtWebkit project. These snapshots are based on weekly hashes used by QtWebkit build bots.

Installation

On scratchbox:

On the device:

  • Install the "Qt5 repository package": http://snowshoe.openbossa.org/apt/snowshoe-repositories.deb. It will add the Qt5 repository to the sources list and add the required GPG key.
  • Using a package manager (e. g. MeeCatalog), install the qt5-all meta package. It will install all qt5 available packages. But if you get "Couldn't find package qt5-all", you should do "apt-get update" and then try installing it again.
  • Along with the Qt5 packages the repository will provide the missing xcb-util using the scratchbox' packages.

To install manually, without the repository package, run the steps below as root. To become root use "devel-su" in the n9 terminal.

  • Add the same repository line for scratchbox to /etc/apt/sources.d/qt5.list
  • Add the GPG key running "wget -O- http://snowshoe.cc/apt/conf/Qt5N9.gpg.key | apt-key add - "
  • Update the package list with "apt-get update"
  • Install with "apt-get install "qt5-" "

Usage

All modules are installed to /opt/qt5. To use qmlscene, qmake and other executables, just point PATH to /opt/qt5/bin.

Currently packaged modules

QtBase: qt5-base

  • QtJSBackend: qt5-jsbackend
  • QtXMLPatterns: qt5-xmlpatterns
  • QtDeclarative: qt5-declarative
  • QtScript: qt5-script
  • Qt3D: qt5-q3d
  • QtLocation: qt5-location
  • QtSensors: qt5-sensors
  • QtWebKit: webkit-snapshot
  • QtComponents for QtQuick2: qt-components2
  • Snowshoe mobile: snowshoe-mobile

More information